/*
 Name:		IC_LineDriver_ve.ino
 Author:	Visual Micro
 Purpose:   Simple software to accompany Line Driver Demo

*/

// Pins are connected to Uno from D2-D7
#define START_PIN 2
#define END_PIN 9

void setup() {
	for (int pin = START_PIN; pin <= END_PIN; pin++) {
		pinMode(pin, OUTPUT);
	}
	setAllPinsLow();
}

void setAllPinsLow() {
	for (int pin = START_PIN; pin <= END_PIN; pin++) {
		digitalWrite(pin, LOW);
	}
}

void loop() {
	// Here we just cycle through the pins one by one and back again
	// they are Active HIGH
	for (int pin = START_PIN; pin <= END_PIN; pin++) {
		setAllPinsLow();
		digitalWrite(pin, HIGH);
		delay(100);
	}
	for (int pin = END_PIN; pin >= START_PIN; pin--) {
		setAllPinsLow();
		digitalWrite(pin, HIGH);
		delay(100);
	}
}
